qiv (2.3.2-2build1) jammy; urgency=medium

  * No-change rebuild against latest gdk-pixbuf

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Mar 2022 16:06:06 -0500

qiv (2.3.2-2) unstable; urgency=medium

  * debian/patches/install.diff: Added, closes: #969338.

 -- Bart Martens <bartm@debian.org>  Tue, 01 Sep 2020 07:26:46 +0200

qiv (2.3.2-1) unstable; urgency=medium

  * New upstream release. Closes: #969105, #879108.
  * Replaced cdbs by debhelper. Closes: #965793.
  * debian/patches/*: Removed disabled and obsolete patches.
  * debian/patches/prefix.diff, shareman.diff: Added, fixing Makefile for
    DESTDIR and location of man page.
  * debian/control: depend on libwmf0.2-7-gtk, closes: #952652.
  * debian/qiv.mime: Removed FITS. Closes: #723811.

 -- Bart Martens <bartm@debian.org>  Sun, 30 Aug 2020 09:26:00 +0200

qiv (2.3.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Build-Depends: liblcms2-dev.
  * debian/rules: Updated.  qiv-command.example is now in subdirectory.
  * debian/patches/14_bash.diff: Removed.  Now included upstream.
  * debian/patches/15_browse.diff: Removed.  Now included upstream.
  * debian/patches/16_usleep.diff: Added.  Closes: #745617.

 -- Bart Martens <bartm@debian.org>  Sun, 26 Oct 2014 11:05:52 +0100

qiv (2.2.4-2) unstable; urgency=low

  * debian/patches/15_browse.diff: Use the -B option only when there is at
    least one image to show.  Fixes segfault.  Closes: #702619.

 -- Bart Martens <bartm@debian.org>  Sat, 09 Mar 2013 17:33:16 +0000

qiv (2.2.4-1) unstable; urgency=low

  * New upstream release.

 -- Bart Martens <bartm@debian.org>  Sun, 22 May 2011 15:53:15 +0000

qiv (2.2.3-1) unstable; urgency=low

  * New upstream release.  Closes: #572165, #556303, #532055.

 -- Bart Martens <bartm@debian.org>  Fri, 19 Mar 2010 20:12:33 +0100

qiv (2.2.2-1) unstable; urgency=low

  * New upstream release.

 -- Bart Martens <bartm@debian.org>  Sun, 31 May 2009 23:39:50 +0200

qiv (2.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Bart Martens <bartm@debian.org>  Fri, 29 May 2009 20:55:08 +0200

qiv (2.2-1) unstable; urgency=low

  * New upstream release.  Closes: #456133, #497286.
  * debian/patches_amd64/01_no_GDK_WA_WMCLASS.diff: Removed.
  * debian/patches_powerpc/01_no_GDK_WA_WMCLASS.diff: Removed.
  * debian/patches/09_man_xscreensaver.diff: Removed.
  * debian/patches/12_cmdbuflen.diff: Removed.
  * debian/patches/13_gtk_includes.diff: Disabled.
  * debian/patches/14_bash.diff: Added.  Closes: #489650.
  * debian/control: Build-Depends: libimlib2-dev, libgtk2.0-dev, libmagic-dev,
    libexif-dev.
  * debian/copyright: Added description of how the .orig.tar.gz was made.
  * debian/watch: Updated for new upstream download site.

 -- Bart Martens <bartm@debian.org>  Thu, 30 Apr 2009 09:10:08 +0200

qiv (2.1~pre12-5) unstable; urgency=low

  * debian/patches_powerpc/01_no_GDK_WA_WMCLASS.diff: Added.  Closes: #461940.
    Same patch as added for amd64 in 2.1~pre12-2, see below.

 -- Bart Martens <bartm@debian.org>  Fri, 25 Jan 2008 18:36:45 +0100

qiv (2.1~pre12-4) unstable; urgency=low

  * debian/patches/13_gtk_includes.diff: Added.  Closes: #456854.

 -- Bart Martens <bartm@debian.org>  Thu, 20 Dec 2007 09:42:35 +0100

qiv (2.1~pre12-3) unstable; urgency=low

  * debian/patches/12_cmdbuflen.diff: Added.  Closes: #441401.  Thanks to
    Norman Ramsey <nr@eecs.harvard.edu>.

 -- Bart Martens <bartm@knars.be>  Sun, 23 Sep 2007 18:15:48 +0200

qiv (2.1~pre12-2) unstable; urgency=low

  * debian/rules: Added support for architecture specific patches.
  * debian/patches_amd64/01_no_GDK_WA_WMCLASS.diff: Added.  Closes: #426754.

 -- Bart Martens <bartm@knars.be>  Sun, 03 Jun 2007 17:55:13 +0200

qiv (2.1~pre12-1) unstable; urgency=low

  * New upstream (pre)release.  Closes: #422035.
  * debian/README.Debian-source: Explains the .orig.tar.gz file.
  * debian/bin/qiv, debian/install, debian/rules, debian/lintian/qiv,
    debian/patches/08_hide_therealqiv.diff: Removed the wrapper that was added
    in version 2.0-5.
  * debian/docs: Additionally install README.TODO.
  * debian/docs: Don't install debian/NEWS.Debian, see disabled patches below.
  * Removed obsolete patches:
      debian/patches/01.fix_xinerama.diff
      debian/patches/02.typo_envoked.diff
      debian/patches/03.additional_keys.diff
      debian/patches/04.qiv-nosort.diff
      debian/patches/05.qiv-manpage-options.diff
      debian/patches/06.xmalloc.diff
      debian/patches/10_qiv-nosort_2.diff
  * Updated patch: debian/patches/09_man_xscreensaver.diff
  * Disabled patches:
      debian/patches/07_no_background_opts.diffDISABLED
      debian/patches/11_no_background_opts_2.diffDISABLED
  * debian/copyright: Updated.
  * debian/watch: Updated.

 -- Bart Martens <bartm@knars.be>  Sun, 20 May 2007 14:01:49 +0200

qiv (2.0-8) unstable; urgency=low

  * debian/README.Debian, debian/docs: Removed README.Debian, and install
    debian/NEWS.Debian.  Closes: #403936.
  * debian/qiv.mime: Updated.  Closes: #404220.  Thanks to Roman Galeyev
    <me@jamhed.pp.ru>.

 -- Bart Martens <bartm@knars.be>  Sat, 27 Jan 2007 17:02:56 +0100

qiv (2.0-7) unstable; urgency=low

  * debian/NEWS.Debian: Added.
  * debian/patches/10_qiv-nosort_2.diff: Added.  Closes: #383110.
  * debian/patches/11_no_background_opts_2.diff: Added.  Closes: #351816.

 -- Bart Martens <bartm@knars.be>  Wed,  6 Dec 2006 19:58:52 +0100

qiv (2.0-6) unstable; urgency=low

  * debian/patches/07_no_background_opts.diff: Added.  Closes: #351816.
  * debian/patches/08_hide_therealqiv.diff: Added, to hide "therealqiv".
  * debian/patches/09_man_xscreensaver.diff: Added.  Closes: #360514.
  * debian/bin/qiv: Use "exec".  Closes: #399596.

 -- Bart Martens <bartm@knars.be>  Wed, 22 Nov 2006 14:52:29 +0100

qiv (2.0-5) unstable; urgency=low

  * New maintainer.  Closes: #398124.
  * Acknowledge NMU's.  Closes: #320115, #347042.
  * debian/*: Repackaged with cdbs.
  * debian/control: Updated build-depends to gdk-imlib11-dev.
  * debian/patches/*: Converted dpatches to diff files.
  * debian/patches/02.typo_envoked.diff: Added.  Closes: #311232.  Patch by A
    Costa <agcosta@gis.net>, thanks.
  * debian/patches/04.qiv-nosort.diff: Added.  Closes: #383110.  Patch by
    Kevin Locke <kwl7@cornell.edu>, thanks.
  * debian/patches/05.qiv-manpage-options.diff: Added.  Closes: #383108.
    Patch by Kevin Locke <kwl7@cornell.edu>, thanks.
  * debian/patches/06.xmalloc.diff: Added.  Closes: #383113.  Patch by Kevin
    Locke <kwl7@cornell.edu>, thanks.
  * debian/watch: Added.
  * debian/bin/qiv, debian/lintian/qiv, debian/rules: Add wrapper using
    XLIB_SKIP_ARGB_VISUALS=1 as workaround for problem in qiv with X composite
    extension.  Closes: #326849.  Thanks to Joerg Platte <lists@naasa.net>.

 -- Bart Martens <bartm@knars.be>  Sun, 12 Nov 2006 09:21:38 +0100

qiv (2.0-4.2) unstable; urgency=low

  * NMU.
  * debian/patches/02.improves_bgimage_setting.dpatch, debian/patches/00list:
    Removed patch with regression.  Closes: #320115.
  * debian/copyright: Fixed old-fsf-address-in-copyright-file.
  * debian/control: Standards version.
  * debian/control: Adjusted homepage.

 -- Bart Martens <bartm@knars.be>  Sat, 13 May 2006 21:00:04 +0200

qiv (2.0-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update build-deps for xlibs-dev removal; closes: #347042.

 -- Justin Pryzby <justinpryzby@users.sf.net>  Sat, 14 Jan 2006 15:23:43 -0500

qiv (2.0-4) unstable; urgency=low

  * New maintainer (Closes: #304096)
  * added Homepage to long description
  * use dpatch now
  * Closes: #294293: qiv should support the new background setting
    mechanism; used provided patch
  * Closes: #262986: more customizable keys for qiv-command; used provided
    patch

 -- Christoph Wegscheider <christoph.wegscheider@wegi.net>  Sun, 22 May 2005 09:03:12 +0200

qiv (2.0-3) unstable; urgency=low

  * eliminated warning about missing Xinerama extension on non-Xinerama
    displays
  * correctly center image on Xinerama displays
  * Thanks to Geoffrey T. Dairiki for these patches!

 -- Martin Pitt <mpitt@debian.org>  Wed, 16 Jun 2004 21:04:31 +0200

qiv (2.0-2) unstable; urgency=low

  * enabled Xinerama support in Makefile (closes: #253880)

 -- Martin Pitt <mpitt@debian.org>  Sun, 13 Jun 2004 11:34:10 +0200

qiv (2.0-1) unstable; urgency=low

  * new upstream version; key "PageUp" now does not crash any more when there
    are less than five pictures. closes: #246732 
  * updated description

 -- Martin Pitt <mpitt@debian.org>  Sun, 23 May 2004 23:53:16 +0200

qiv (1.9-4) unstable; urgency=low

  * short option for --ignore_path_sort is now correctly documented as -P
    (manpage and --help). (closes: #234174)

 -- Martin Pitt <mpitt@debian.org>  Mon, 23 Feb 2004 19:46:04 +0100

qiv (1.9-3) unstable; urgency=low

  * Added option -B / --noblank to disable screensaver and DPMS during
    execution (closes: #178668)

 -- Martin Pitt <mpitt@debian.org>  Wed,  4 Feb 2004 23:42:46 +0100

qiv (1.9-2) unstable; urgency=low

  * shortened NAME section in manpage (closes: #230752)
  * stated copyright holders in debian/copyright

 -- Martin Pitt <mpitt@debian.org>  Tue,  3 Feb 2004 20:07:11 +0100

qiv (1.9-1) unstable; urgency=low

  * new upstream release (some new features, upstream took over my patches)
  * correctly install README.CHANGES as upstream changelog
  * updated long description

 -- Martin Pitt <mpitt@debian.org>  Sun, 14 Dec 2003 23:38:53 +0100

qiv (1.8-6) unstable; urgency=low

  * qiv.mime: now gives option '-n' to ignore file extension (better for mail
    attachments etc.) (closes: #217226)
  * changed my Maintainer address

 -- Martin Pitt <mpitt@debian.org>  Tue, 28 Oct 2003 17:49:31 +0100

qiv (1.8-5) unstable; urgency=low

  * undeleting a file now also works on FAT file systems (closes: #210550)
    (this really was the last spot using link(), I checked!)

 -- Martin Pitt <martin@piware.de>  Fri, 12 Sep 2003 12:16:29 +0200

qiv (1.8-4) unstable; urgency=low

  * deleting a file now also works on FAT file systems (closes: #209079)
  * updated Standards-Version to 3.6.1 (no changes required)

 -- Martin Pitt <martin@piware.de>  Tue,  9 Sep 2003 11:26:37 +0200

qiv (1.8-3) unstable; urgency=low

  * new maintainer (closes: #193604)
  * debian/control: updated maintainer and wrong upstream URL
  * debian/copyright: replaced copyright with standard GPL clause
  * fixed build-deps: removed unnecessary libglib1.2-dev, added gdk-imlib-dev
    as alternative to make it Woody-compatible
  * debian/qiv.mime: added image/pjpeg type (closes: #193643)
  * image.c, reload_image(): now checked image loading for errors, thanks to
    Niels Andersen; patch sent to upstream who included it (closes: #194575)
  * updated to standards version 3.5.10: DH_COMPAT -> debian/compat, respect
    DEB_BUILD_OPTIONS
  * cleaned up debian/ directory: removed dirs, docs (debian/rules does that
    now)
  * removed debian/patches/: Makefile patch not needed any more, patch to
    options.c incorporated into package.diff.gz (also sent to upstream who
    included it in next version)
  * complete rewrite of debian/rules
  * included intro.jpg and qiv-command.example in package
  * removed Emacs' local variables stuff from Debian changelog

 -- Martin Pitt <martin@piware.de>  Mon, 26 May 2003 20:34:28 +0200

qiv (1.8-2) unstable; urgency=low

  * Builded against gdk-imlib1.

 -- Luis Bustamante <luferbu@fluidsignal.com>  Thu,  6 Feb 2003 07:25:08 -0500

qiv (1.8-1) unstable; urgency=low

  * The I-will-take-care-of-qiv release.
  * Package builded from the scratch. Updated to standards version 3.5.8.
  * New maintainer (closes: #176329).
  * New upstream release (closes: #156155).
  * It seems qiv handles bmp files correctly now (closes: #120681).
  * Builded against gdk-imlib2 (closes: #158926).
  * Better delay handling for slideshow. Thanks to Samuele Giovanni Tonon
    <samu@debian.org> (closes: #159019).
  * Stop clearing when panning in full screen mode (closes: #150951).
  * Show images with unknown extensions using -n option (closes: #99811).

 -- Luis Bustamante <luferbu@fluidsignal.com>  Thu, 16 Jan 2003 12:00:55 -0500

qiv (1.7-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Move man page from /usr/man to /usr/share/man (closes: #141105).

 -- Colin Watson <cjwatson@debian.org>  Thu, 18 Apr 2002 00:08:22 +0100

qiv (1.7-0.1) unstable; urgency=low

  * NMU
  * New Upstream release (Closes: #110115)
  * Upstream fixed: (Closes: #97090)
  * moved binary and manpage to /usr, not /usr/X11R6
  * This isnt a Debian native package, lets give it an orig.tar.gz, not
    a tar.gz.. Tsk.

 -- Michael Beattie <mjb@debian.org>  Fri, 22 Feb 2002 23:57:20 +1200

qiv (1.6-1) unstable; urgency=low

  * Upstream release (closes: #82827)

 -- Mitch Blevins <mblevin@debian.org>  Sun, 11 Feb 2001 16:07:31 -0600

qiv (1.5-2) unstable; urgency=low

  * Added Build-Depends (closes: Bug#82405)

 -- Mitch Blevins <mblevin@debian.org>  Mon, 15 Jan 2001 23:53:58 -0600

qiv (1.5-1) unstable; urgency=low

  * Upstream release (closes: Bug#77504)
  * Fixed typo in description (closes: Bug#56126)
  * Added mime types to /etc/mailcap (closes: Bug#61598)

 -- Mitch Blevins <mblevin@debian.org>  Thu,  4 Jan 2001 19:08:35 -0600

qiv (1.1-1) unstable; urgency=low

  * Upstream release

 -- Mitch Blevins <mblevin@debian.org>  Mon, 31 May 1999 23:09:11 -0400

qiv (1.0-5) unstable; urgency=low

  * Recompiled for gtk/glib 1.2

 -- Mitch Blevins <mblevin@debian.org>  Sat,  6 Mar 1999 01:28:09 -0500

qiv (1.0-4) unstable; urgency=low

  * Recomplied to fix multiple libglib dependencies

 -- Mitch Blevins <mblevin@debian.org>  Tue,  2 Feb 1999 10:30:10 -0500

qiv (1.0-3) unstable; urgency=low

  * Removed install from default target in Makefile

 -- Mitch Blevins <mblevin@debian.org>  Mon, 11 Jan 1999 07:48:26 -0500

qiv (1.0-2) unstable; urgency=low

  * Updated libjpeg dependancies

 -- Mitch Blevins <mitch_blevins@mindspring.com>  Sat, 14 Nov 1998 02:27:23 -0500

qiv (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Mitch Blevins <mitch_blevins@mindspring.com>  Sun,  8 Nov 1998 23:37:24 -0500
